#
# Virtual Hosts
#
# If you want to maintain multiple domains/hostnames on your
# machine you can setup VirtualHost containers for them. Most configurations
# use only name-based virtual hosts so the server doesn't need to worry about
# IP addresses. This is indicated by the asterisks in the directives below.
#
# Please see the documentation at 
# <URL:http://httpd.apache.org/docs/2.2/vhosts/>
# for further details before you try to setup virtual hosts.
#
# You may use the command line option '-S' to verify your virtual host
# configuration.

#
# Use name-based virtual hosting.
#
NameVirtualHost *:80

#
# VirtualHost example:
# Almost any Apache directive may go into a VirtualHost container.
# The first VirtualHost section is used for all requests that do not
# match a ServerName or ServerAlias in any <VirtualHost> block.
#

<VirtualHost *:80>
    ServerAdmin master@hongsnet.net
    DocumentRoot /usr/local/apache/htdocs
    #DocumentRoot /home/ns2/public_html
    ServerName 127.0.0.1
    CustomLog /dev/null common
</VirtualHost>

<VirtualHost *:80>
    ServerAdmin master@hongsnet.net
    DocumentRoot /home/hongsnet/public_html
    ServerName hongsnet.net
    ServerAlias www.hongsnet.net dev.hongsnet.net
    #ErrorLog logs/juhanida21.k2com.co.kr-error_log
    #CustomLog logs/juhanida21.k2com.co.kr-access_log common
    #RMode      config
    #RUidGid    hongsnet hongsnet
    <Directory /home/hongsnet/public_html/traffic/>
        php_admin_flag allow_url_fopen On
    </Directory>
    
#    ErrorDocument 403 http://www.hongsnet.net/errors/403_utf8.html
#    ErrorDocument 404 http://www.hongsnet.net/errors/404_utf8.html
#    ErrorDocument 500 http://www.hongsnet.net/errors/500_utf8.html
  
    #<Directory /home/hongsnet/public_html>
    #  Order deny,allow
    #  allow from 121.168.124.0/24 203.236.3.128/25 211.239.112.60 211.239.173.150
    #  Deny from all
    #</Directory>

    <Directory /home/hongsnet/public_html/Data>
	php_flag engine off
    </Directory>
    
    <Directory /home/hongsnet/public_html/Web_editor/FILE>
	php_flag engine off
    </Directory>

</VirtualHost>

#<VirtualHost *:80>
#    ServerAdmin master@hongsnet.net
#    DocumentRoot /home/hongsystem
#    ServerName system.hongsnet.net
    #RMode      config
    #RUidGid    hongsystem hongsystem
    #ErrorLog logs/ssltest.k2com.co.kr-error_log
    #CustomLog logs/ssltest.k2com.co.kr-access_log common
#     <Directory /home/hongsystem/urlfopen/>
#        php_admin_flag allow_url_fopen On
#    </Directory>
#</VirtualHost>

<VirtualHost *:80>
    ServerAdmin master@hongsnet.net
    DocumentRoot /home/newhongsystem/public_html
    ServerName newsystem.hongsnet.net
    ServerAlias newsystem2.hongsnet.net dev-newsystem.hongsnet.net
    #RMode      config
    #RUidGid    newhongsystem newhongsystem
    #<Directory /home/newhongsystem/>
    #    php_admin_flag session.gc_maxlifetime 86400
    #    php_admin_flag session.cookie_lifetime 86400
    #</Directory>
    <Directory /home/newhongsystem/public_html/urlfopen/>
        php_admin_flag allow_url_fopen On
    </Directory>
    <Directory /home/newhongsystem/public_html/graphimages/>
        Options Indexes	
    </Directory>
    <Directory /home/newhongsystem/public_html/redhatkb-pdf/>
        Options Indexes FollowSymLinks
        AllowOverride All
    </Directory>
    <Directory /home/newhongsystem/public_html/etckb-pdf/>
        Options Indexes FollowSymLinks
        AllowOverride All
    </Directory>
    #php_value session.save_path "/usr/local/apache/session/newhongsystem"
    
    <Directory /home/newhongsystem/public_html/Data>
        php_flag engine off
    </Directory>

    <Directory /home/newhongsystem/public_html/Web_editor/FILE>
        php_flag engine off
    </Directory>

</VirtualHost>

#<VirtualHost *:80>
#    ServerAdmin master@hongsnet.net
#    DocumentRoot /pds
#    ServerName pds.hongsnet.net
#</VirtualHost>

<VirtualHost *:80>
    ServerAdmin master@hongsnet.net
    DocumentRoot /home/study
    ServerName study.hongsnet.net
    ServerAlias dev-study.hongsnet.net
    #RMode      config
    #RUidGid    study study
    #php_value session.save_path "/usr/local/apache/session/study"
</VirtualHost>

#<VirtualHost *:80>
#    ServerAdmin master@hongsnet.net
#    DocumentRoot /home/qna/public_html
#    ServerName edu.freehongs.net
#    ServerAlias fresh.kr www.fresh.kr
    #RMode	config
    #RUidGid	qna qna
#</VirtualHost>

<VirtualHost *:80>
    ServerAdmin master@hongsnet.net
    DocumentRoot /home/edu/public_html
    ServerName edu.hongsnet.net
    ServerAlias edu.example.com dev-edu.hongsnet.net
    #<Directory /home/edu/public_html/>
    	#php_admin_flag session.gc_maxlifetime 86400
        #php_admin_flag session.cookie_lifetime 86400
        #php_admin_flag session.cache_expire 86400
    #</Directory>
    php_value session.gc_maxlifetime "86400"
    php_value session.cookie_lifetime "86400"
    php_value session.cache_expire "86400"
    #php_value session.save_path "/usr/local/apache/session/edu"

    <Directory /home/edu/public_html/HongsBoard/Data>
        php_flag engine off
    </Directory>

    <Directory /home/edu/public_html/HongsBoard/Web_editor/EDU>
        php_flag engine off
    </Directory>

    <Directory /home/edu/public_html/HongsBoard/Web_editor/FILE>
        php_flag engine off
    </Directory>

</VirtualHost>

#<VirtualHost *:80>
#    ServerAdmin master@hongsnet.net
#    DocumentRoot /home/qmailadmin
#    ServerName qmailadmin.hongsnet.net
#    ServerAlias webcontrol.hongsfree.net
    #RMode       config
    #RUidGid     newhongsystem newhongsystem
#    ScriptAlias /cgi-bin/ /home/qmailadmin/cgi-bin/
#    <Directory /home/qmailadmin/cgi-bin>
#	  AddHandler cgi-script .cgi
#          AllowOverride None
#          Options +ExecCGI
#          Order allow,deny
#          Allow from all
#     </Directory>
#     <Directory /home/qmailadmin/images>
#	  AddHandler cgi-script .cgi
#          AllowOverride None
#          Options +ExecCGI
#          Order allow,deny
#          Allow from all
#     </Directory>
#</VirtualHost>

#<VirtualHost *:80>
#    ServerAdmin master@hongsnet.net
#    DocumentRoot /home/munin
#    ServerName munin.hongsnet.net
#    ScriptAlias /munin-cgi/munin-cgi-graph /home/munin/cgi-bin/munin-cgi-graph
#    <Location /munin-cgi/munin-cgi-graph>
#       Options +ExecCGI FollowSymLinks
#    </Location>
#    <IfModule mod_expires.c>
#        ExpiresActive On
#        ExpiresDefault M310
#    </IfModule>
#    php_value short_open_tag off
#    <directory /home/munin>
#     AuthUserFile /etc/munin/munin-htpasswd
#     AuthName "Munin"
#     AuthType Basic
#     require valid-user
#    </directory>
#</VirtualHost>

#<VirtualHost *:80>
#    ServerAdmin master@hongsnet.net
#    DocumentRoot /PDS
#    ServerName pds.hongsnet.net
#</VirtualHost>

#<VirtualHost *:80>
#    ServerAdmin master@hongsnet.net
#    DocumentRoot /home/ldswork
#    ServerName lds.hongsnet.net
#</VirtualHost>

#<VirtualHost *:80>
#    ServerAdmin master@hongsnet.net
#    DocumentRoot "/PDS/YUM"
#    ServerName yum.hongsnet.net
#    ServerAlias yum-private.hongsnet.net
#</VirtualHost>

#<VirtualHost *:80>
#    ServerAdmin master@hongsnet.net
#    DocumentRoot "/home/postfixadmin"
#    ServerName hongspostfix.hongsnet.net
#</VirtualHost>

#<VirtualHost *:80>
#    ServerAdmin master@hongsnet.net
#    DocumentRoot "/home/ipm/public_html"
#    ServerName ipm.hongsnet.net
#</VirtualHost>

#<VirtualHost *:80>
#    ServerAdmin master@hongsnet.net
#    DocumentRoot "/home/tech"
#    ServerName tech.hongsnet.net
    #php_value session.save_path "/home/tech/data/session"
#</VirtualHost>

#<VirtualHost *:80>
#    ServerAdmin master@hongsnet.net
#    DocumentRoot /home/php_study
#    ServerName phpstudy.hongsnet.net
    #RMode      config
    #RUidGid    study study
#</VirtualHost>

#<VirtualHost *:80>
#    ServerAdmin master@hongsnet.net
#    DocumentRoot "/home/hostway"
#    ServerName hostway.hongsnet.net
    #php_value session.save_path "/home/hostway/data/session"
#</VirtualHost>

<VirtualHost *:80>
    ServerAdmin master@hongsnet.net
    DocumentRoot "/home/otpauth"
    ServerName otpauth.hongsnet.net
    #php_value session.save_path "/home/hostway/data/session"
</VirtualHost>
